#include<bits/stdc++.h>
using namespace std;
const long long MAXN=100005;
long long x[MAXN], y[MAXN], N, ans;
int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cin>>N;
    for(long long i=0; i<N; i++){
        cin>>x[i]>>y[i];
        for(long long j=0; j<i; j++){
            ans+=(x[i]-x[j])*(x[i]-x[j]);
            ans+=(y[i]-y[j])*(y[i]-y[j]);
        }
    }
    cout<<ans<<endl;
    return 0;
}

